Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::SizedIteratorRangeLike_ Struct Reference
Concepts
Inheritance diagram for ranges::v3::concepts::SizedIteratorRangeLike_:

## Public Member Functions
template<typename I , typename S >
auto | requires_ (I &&i, S &&s) -> decltype(concepts::valid_expr(concepts::model_of< Integral >(s-i), concepts::same_type(s-i, i-s)))
Public Member Functions inherited from ranges::v3::concepts::refines< IteratorRange >
void | requires_ (Ts &&...)

## Additional Inherited Members
Public Types inherited from ranges::v3::concepts::refines< IteratorRange >
using | base_concepts_t = meta::list< Concepts...>